Mailinglist Archive: opensuse (1523 mails)

< Previous Next >
Re: [opensuse] Pinentry problem
  • From: Anton Aylward <anton.aylward@xxxxxxxxxx>
  • Date: Thu, 18 Mar 2010 11:48:32 -0400
  • Message-id: <4BA24B50.9060602@xxxxxxxxxx>
Anton Aylward said the following on 03/18/2010 11:29 AM:
So ...

* any one of the GUI pinentry packages is sufficient.
* if I have KDE I can drop -gtk-2 and install -qt4

Apparently not.

I removed -gtk-2 and installed -qt4.
Works fine under Gnome

But when I log in from a tty it fails.
It asks if pinentry is installed

But..
pinentry-0.7.6-5.5.i586
pinentry-qt4-0.7.6-5.5.i586

so pinentry-curses *IS* installed.

Something is wrong with that shell script!
Surely its logic should be

if DISPLAY isn't set then skip to using
pinentry-curses



--
When you are in any contest you should work as if there were - to the
very last minute - a chance to lose it.
Dwight D. Eisenhower
--
To unsubscribe, e-mail: opensuse+unsubscribe@xxxxxxxxxxxx
For additional commands, e-mail: opensuse+help@xxxxxxxxxxxx

< Previous Next >
Follow Ups